__doc__="KeyNavi Product for ZMI"

from Globals import DTMLFile
from zLOG import LOG, INFO
import App.Management

#LOG('Patch', INFO, 'KeyNavi 1.0 2003-11-15')

def initialize(context):
	dtmls=[
	    ("Management","manage_page_header"),
	    ("Management","manage_top_frame"),
	    ("Management","zope_quick_start"),
	    ("Standard","standard_html_header"),
	    ("files","keynavi_en.js"),
#	    ("files","keynavi_ja.js"),
#	    ("files","keynavi_ja_euc.js"),
#	    ("files","keynavi_ja_utf8.js"),
	    ("files","keynavi_zope.js"),
#	    ("files","keynavi_zope_light.js"),
	    ];
	temps=[
	    ("Standard","standard_template.pt")
	    ];

	#-------------- Register DTML files---------------#
	for d,f in dtmls:
	    setattr(App.Management.Navigation,f,DTMLFile(d+"/"+f,globals()));

	#-------------- Register ZPT files----------------#
	try:
	    from Products.PageTemplates.PageTemplateFile import PageTemplateFile
	    for d,f in temps:
		setattr(App.Management.Navigation,f,PageTemplateFile(d+"/"+f,globals()));
	except:
	    pass;